# $Revision: 1.20 $, $Date: 2006/01/23 22:48:46 $
Summary:	Real-time, text-based, serverless LAN chat program
Summary(pl):	Dziaajcy w czasie rzeczywistym, tekstowy, bezserwerowy program do pogawdek sieciowych
Name:		vyqchat
Version:	0.2.8
Release:	2
License:	GPL
Group:		Applications/Communications
Source0:	http://linux.bydg.org/~yogin/%{name}-%{version}.tar.gz
# Source0-md5:	67974bc5df1ed0d63785d04325444d4f
Source1:	vyqchat.desktop
URL:		http://linux.bydg.org/~yogin/
BuildRequires:	artsc-devel
BuildRequires:	libsndfile-devel
BuildRequires:	openssl-devel >= 0.9.6
BuildRequires:	pkgconfig
BuildRequires:	qt-devel >= 3.1.0
BuildRequires:	which
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VyQChat is a real-time, text-based, serverless chat program dedicated
to LANs, that runs on Linux using Qt/X11 library. It is almost 100%
compatible with Vypress Chat(TM) for Windows. It allows you to chat
with friends on public or private channels, send and recieve messages
etc.

%description -l pl
VyQChat jest dziaajcym w czasie rzeczywistym, tekstowym, nie
wymagajcym serwera program do pogawdek przeznaczonym dla sieci
lokalnych, ktry dziaa w Linuksie korzystajc z biblioteki Qt/X11.
Jest on niemal w 100% zgodny z programem Vypress Chat(TM) dla Windows.
Pozwala on na rozmowy z przyjacimi na kanaach publicznych lub
prywatnych, wysyanie i otrzymywanie wiadomoci itp.

%prep
%setup -q

%build
%configure \
	--with-Qt-include-dir=%{_includedir}/qt \
	--with-Qt-lib-dir=%{_libdir} \
	--with-arts
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -f %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vyqchat.spec,v $
Revision 1.20  2006/01/23 22:48:46  ankry
- desktop typo fixed, rel. 2

Revision 1.19  2005/09/06 18:03:40  blekot
- %files fix

Revision 1.18  2005/07/28 16:32:46  blekot
- new URL

Revision 1.17  2005/07/25 18:01:49  blekot
- up to 0.2.8
- changed SOURCE0
- BR: openssl-devel

Revision 1.16  2005/06/21 22:18:03  blekot
- desktop file added
- rel 2

Revision 1.15  2005/01/12 12:41:02  qboosh
- simplified setup

Revision 1.14  2005/01/12 12:34:19  dzeus
- wrr, my fault

Revision 1.13  2005/01/12 12:31:17  dzeus
- up to 0.2.7 final
- changed Source0 URL, (Lukasz Glebicki <lukaszgl (at) post.pl>)

Revision 1.12  2004/12/20 10:06:22  adamg
- updated to 0.2.7 (Lukasz Glebicki <lukaszgl (at) post.pl>)

Revision 1.11  2004/11/29 13:09:09  zbyniu
- BR: pkgconfig, which

Revision 1.10  2004/09/08 18:58:28  gotar
- upgraded to 0.2.7rc1

Revision 1.9  2004/06/24 23:44:54  baseciq
- up to 2.1.6
- added missing br:
- still doesn't work in networks with more than one address space :/

Revision 1.8  2004/01/16 14:40:47  eothane
- updated to 0.2.5

Revision 1.7  2004/01/05 18:47:01  eothane
- updated to 0.2.4

Revision 1.6  2003/12/25 22:18:31  arekm
- updated to 0.2.3

Revision 1.5  2003/12/09 15:17:23  qboosh
- s/arts-devel/artsc-devel/

Revision 1.4  2003/11/12 11:57:20  arekm
- updated to 0.2.0

Revision 1.3  2003/10/26 10:48:12  arekm
- updated to 0.1.2

Revision 1.2  2003/08/20 22:41:31  ankry
- pl translations

Revision 1.1  2003/08/20 13:52:53  arekm
- initial pld release
